> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/show-udtoast.md).

# Show-UDToast

Show-UDToast visualizza una notifica toast con titolo, icona, colore, transizione e posizione sullo schermo personalizzabili in PowerShell Universal.

### Sinossi

Visualizza un messaggio toast all'utente.

### Sintassi

```powershell
Show-UDToast [-Message] <String> [-MessageColor <DashboardColor>] [-MessageSize <String>] [-Duration <Int32>] [-Title <String>] [-TitleColor <DashboardColor>] [-TitleSize <String>] [-Id <String>] [-BackgroundColor <DashboardColor>] [-Theme <String>] [-Icon <Object>] [-IconColor <DashboardColor>] [-Position <String>] [-HideCloseButton] [-CloseOnClick] [-CloseOnEscape] [-ReplaceToast] [-RightToLeft] [-Balloon] [-Overlay] [-OverlayClose] [-OverlayColor <DashboardColor>] [-TransitionIn <String>] [-TransitionOut <String>] [-Broadcast] [-Persistent] [<CommonParameters>]
```

### Descrizione

Visualizza un messaggio toast all'utente.

### Parametri

#### -Message

Il messaggio da visualizzare.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MessageColor

Il colore del testo del messaggio.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MessageSize

La dimensione del messaggio.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Duration

La durata in millisecondi prima che il messaggio scompaia.

```
Required?                    false
Position?                    named
Default value                1000
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Title

Il titolo da visualizzare.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -TitleColor

Il colore del testo del titolo.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -TitleSize

La dimensione del titolo.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Id

L'ID del toast. Da utilizzare con Hide-UDToast.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -BackgroundColor

Il colore di sfondo del toast.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Theme

Tema chiaro o scuro.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

L'icona da visualizzare nel toast.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -IconColor

Il colore dell'icona.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Position

Dove visualizzare il toast.

```
Required?                    false
Position?                    named
Default value                topRight
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -HideCloseButton

Nasconde il pulsante di chiusura.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -CloseOnClick

Chiude il toast quando viene cliccato.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -CloseOnEscape

Chiude il toast quando viene premuto Esc.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ReplaceToast

Sostituisce un toast esistente se ne è già visualizzato uno.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -RightToLeft

Testo da destra a sinistra.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Balloon

Crea un toast a fumetto.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Overlay

Visualizza un overlay dietro il toast.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OverlayClose

Consente all'utente di chiudere l'overlay.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OverlayColor

Il colore dell'overlay.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -TransitionIn

L'effetto di transizione in ingresso.

```
Required?                    false
Position?                    named
Default value                fadeInUp
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -TransitionOut

L'effetto di transizione in uscita.

```
Required?                    false
Position?                    named
Default value                fadeOut
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Trasmette il toast a tutti gli utenti connessi.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Persistent

Impedisce la chiusura del toast a causa della durata.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parametri comuni

Questo cmdlet supporta i parametri comuni: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable e OutVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

### Esempi

#### Esempio 1

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!'
} -Id 'toast1'
```

Toast di base Mostra un messaggio toast.

#### Esempio 2: durata

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Duration 5000
} -Id 'toast2'
```

Mostra un messaggio toast con una durata più lunga.

#### Esempio 3: titolo

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Title 'Toast Title'
} -Id 'toast3'
```

Mostra un messaggio toast con un titolo.

#### Esempio 4: colore del titolo

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Title 'Toast Title' -TitleColor 'red'
} -Id 'toast4'
```

Mostra un messaggio toast con un titolo e un colore del titolo rosso.

#### Esempio 5: dimensione del titolo

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Title 'Toast Title' -TitleColor 'red' -TitleSize 'large'
} -Id 'toast5'
```

Mostra un messaggio toast con un titolo, un colore del titolo rosso e una dimensione del titolo grande.

#### Esempio 6: colore del messaggio

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -MessageColor 'blue'
} -Id 'toast6'
```

Mostra un messaggio toast con un colore del messaggio blu.

#### Esempio 7: dimensione del messaggio

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -MessageSize 'large'
} -Id 'toast7'
```

Mostra un messaggio toast con una dimensione del messaggio grande.

#### Esempio 8: icona

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Icon 'check'
} -Id 'toast8'
```

Mostra un messaggio toast con un'icona di spunta.

#### Esempio 9: persistente

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Persistent -Id 'MyToast'
} -Id 'toast9'
New-UDButton -Text 'Hide Toast' -OnClick {
   Hide-UDToast -Id 'MyToast'
} -Id 'toast10'
```

Mostra un messaggio toast che non verrà chiuso. Il comando Hide-UDToast può essere utilizzato per chiudere il toast.

#### Esempio 10: posizione

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Position 'bottomRight'
} -Id 'toast11'
```

Mostra un messaggio toast in basso a destra dello schermo.

#### Esempio 11: nascondere il pulsante di chiusura

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -HideCloseButton
} -Id 'toast12'
```

Mostra un messaggio toast senza pulsante di chiusura.

#### Esempio 12: chiusura al clic

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -CloseOnClick
} -Id 'toast13'
```

Mostra un messaggio toast che si chiuderà quando viene cliccato.

#### Esempio 13: chiusura con Esc

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -CloseOnEscape
} -Id 'toast14'
```

Mostra un messaggio toast che si chiuderà quando viene premuto il tasto Esc.

#### Esempio 14: sostituzione del toast

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -ReplaceToast -Id "toastId"
} -Id 'toast15'
```

Mostra un messaggio toast che sostituirà un toast esistente. -Id è obbligatorio.

#### Esempio 15: da destra a sinistra

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -RightToLeft
} -Id 'toast16'
```

Mostra un messaggio toast con testo da destra a sinistra.

#### Esempio 16: fumetto

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Balloon
} -Id 'toast17'
```

Mostra un messaggio toast come fumetto.

#### Esempio 17: overlay

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Overlay
} -Id 'toast18'
```

Mostra un messaggio toast come overlay.

#### Esempio 18: tema

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -Theme 'dark'
} -Id 'toast19'
```

Mostra un messaggio toast con un tema scuro.

#### Esempio 19: colore di sfondo

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -BackgroundColor 'red'
} -Id 'toast20'
```

Mostra un messaggio toast con un colore di sfondo rosso.

#### Esempio 20: transizione

```powershell
New-UDButton -Text 'Show Toast' -OnClick {
   Show-UDToast -Message 'Hello, World!' -TransitionIn 'bounceInLeft' -TransitionOut 'bounceInRight'
} -Id 'toast21'
```

Mostra un messaggio toast con una transizione di entrata bounce in left e una transizione di uscita bounce out right.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/show-udtoast.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
